Package com.verisign.epp.codec.registry.v02

## Enum EPPRegistryBatchSchedule.DayOfWeek

- java.lang.Object
- - java.lang.Enum<EPPRegistryBatchSchedule.DayOfWeek>
  - - com.verisign.epp.codec.registry.v02.EPPRegistryBatchSchedule.DayOfWeek

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<EPPRegistryBatchSchedule.DayOfWeek>`
  Enclosing class:
    EPPRegistryBatchSchedule

      public static enum EPPRegistryBatchSchedule.DayOfWeek
      extends java.lang.Enum<EPPRegistryBatchSchedule.DayOfWeek>

  Possible values for the `dayOfWeek` attribute.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `FRIDAY` |
    `MONDAY` |
    `SATURDAY` |
    `SUNDAY` |
    `THURSDAY` |
    `TUESDAY` |
    `WEDNESDAY` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static EPPRegistryBatchSchedule.DayOfWeek` | `getDayOfWeek​(java.lang.String aDayOfWeekStr)` | Get the type enumerated value given the matching string.
    `java.lang.String` | `toString()` | Convert the enumerated `DayOfWeek` value to a `String` .
    `static EPPRegistryBatchSchedule.DayOfWeek` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static EPPRegistryBatchSchedule.DayOfWeek[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUNDAY

          public static final EPPRegistryBatchSchedule.DayOfWeek SUNDAY

    - #### MONDAY

          public static final EPPRegistryBatchSchedule.DayOfWeek MONDAY

    - #### TUESDAY

          public static final EPPRegistryBatchSchedule.DayOfWeek TUESDAY

    - #### WEDNESDAY

          public static final EPPRegistryBatchSchedule.DayOfWeek WEDNESDAY

    - #### THURSDAY

          public static final EPPRegistryBatchSchedule.DayOfWeek THURSDAY

    - #### FRIDAY

          public static final EPPRegistryBatchSchedule.DayOfWeek FRIDAY

    - #### SATURDAY

          public static final EPPRegistryBatchSchedule.DayOfWeek SATURDAY

  - ### Method Detail

    - #### values

          public static EPPRegistryBatchSchedule.DayOfWeek[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EPPRegistryBatchSchedule.DayOfWeek c : EPPRegistryBatchSchedule.DayOfWeek.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EPPRegistryBatchSchedule.DayOfWeek valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getDayOfWeek

          public static EPPRegistryBatchSchedule.DayOfWeek getDayOfWeek​(java.lang.String aDayOfWeekStr)

      Get the type enumerated value given the matching string.
      Parameters:
        `aDayOfWeekStr` - `PostalInfoTypeSupport` enumerated string to convert to an enumerated `PostalInfoTypeSupport` instance.
      Returns:
        Enumerated `PostalInfoTypeSupport` value matching the `String`.
      Throws:
        `java.security.InvalidParameterException` - If `aDayOfWeekStr` does not match an enumerated `PostalInfoTypeSupport` string value.

    - #### toString

          public java.lang.String toString()

      Convert the enumerated `DayOfWeek` value to a `String` .
      Overrides:
        `toString` in class `java.lang.Enum<EPPRegistryBatchSchedule.DayOfWeek>`